body{
  background-color: #EEE;
  font-family: 'Lato', sans-serif;
}

.container-fluid {
  padding-right: 0px;
  padding-left: 0px;
  margin-right: auto;
  margin-left: auto;
}

.fullContain{
  position:relative;
}

.header{
  padding: 15px;
  background-color: #2C4740;
    min-height:150px;
  width:100%;
  box-shadow: 0 8px 17px 0 rgba(0,0,0,.2), 0 6px 20px 0 rgba(0,0,0,.19);
}

@media (min-width:1280px) {
  .header{
    position: fixed;
    padding: 15px;
    background-color: #2C4740;
      min-height:150px;
    width:100%;
    box-shadow: 0 8px 17px 0 rgba(0,0,0,.2), 0 6px 20px 0 rgba(0,0,0,.19);
  }
}

.irs-bar {
  border-top: 1px solid #2C4740 !important;
  border-bottom: 1px solid #2C4740 !important;
  background: #2C4740 !important;
}

.irs-from, .irs-to, .irs-single {
  background: #2C4740 !important;
}

.irs-bar-edge {
  border: 1px solid #2C4740 !important;
  background: #2C4740 !important;
}

.modal-body {
  background-color: #fff;
    padding: 15px 0px 15px 0px;
}

.modal-xl {
  min-width: 90%;
}

#logoHeader{
position: absolute;
top: 1em;
left: 1em;
z-index:4;
}

@media (min-width:1280px) {
  #logoHeader{
  position: absolute;
  top: 1em;
  left: 3em;
  z-index:4;
}
}

#titleHeader{
margin-top: .5em;
color: white;
font-size: 18px;
max-width: 100%;
}

@media (min-width:1280px) {
  #titleHeader{
  margin-top: .5em;
  color: white;
  font-size: 24px;
  max-width: 16.67%;
}
}

@media (min-width:1280px) {
  .pages {
    position: relative;
    top: 150px;
    right: 0;
    z-index: 4;
    height: 100%;
  }
}

.contentPages{
  border-radius: 3px;
  background-color: #fff;
  margin-right: 10px;
  margin-left: 5px;
  box-shadow: 0 8px 17px 0 rgba(0,0,0,.2), 0 6px 20px 0 rgba(0,0,0,.19);
}

@media (min-width:1280px) {
  .contentPages{
    position: relative;
    border-radius: 3px;
    margin-right: 10px;
    top: -75px;
    background-color: #fff;
      box-shadow: 0 8px 17px 0 rgba(0,0,0,.2), 0 6px 20px 0 rgba(0,0,0,.19);
  }
}

.light{
  background-color: #fff;
    padding: 15px 30px 15px 30px;
  /*margin-bottom: 10px;*/
}

.light2{
  background-color: #fff;
    padding: 0px 30px 0px 30px;
  /*margin-bottom: 10px;*/
}

.dark{
  background-color: #f2f2f2;
  padding: 15px 30px 15px 30px;
}

.dark2{
  background-color: #f2f2f2;
  padding: 0px 30px 0px 30px;
}

.roundedDark{
  background-color: #f2f2f2;
  padding: 10px 15px 10px 15px;
  border-radius: 15px;
  box-shadow: grey 4px 4px 6px;
}

@media (min-width:1280px) {
  #tabChoices{
  margin-top: 3.5em;
}
}

#tabChoices .btn-default.active{
  background-color:#ccc;
}

#tabChoices .btn-default:hover {
background-color: #DDD;
  }

#tabChoices .btn-default {
  border:none;
  border-radius:0px;
  text-align: left;
  padding: 5% 5%;
  background-color: #EEE;
  font-size:14px;
  font-weight:100;
  color: black;
  box-shadow: none;
}

@media (min-width:800px) {
  #tabChoices .btn-default {
    border:none;
    border-radius:0px;
    text-align: left;
    padding: 5% 5%;
    background-color: #EEE;
    font-size:16px;
    font-weight:100;
    color: black;
    box-shadow: none;
  }
}

.shiny-input-container:not(.shiny-input-container-inline) {
  width: 100%;
  max-width: 100%;
}

p{
  margin: 5px 0px;
}

.launchSimu{
  width: 100%;
  text-align: center;
  padding: 15px;
}

#launch, #defParams{
padding: 15px;
border-radius:3px;
box-shadow: 0 8px 17px 0 rgba(0,0,0,.2), 0 6px 20px 0 rgba(0,0,0,.19);
border:none;
font-size:16px;
background-color: #5BC0BE;
  color:white;
max-width:90%;
}

.loading{
  position: absolute;
  background-color: rgb(0,0,0);
  background-color: rgba(0,0,0,0.7);
  z-index: 100;
  left: 0;
  top: 0;
  right: 0;
  height: 100%;
  text-align: center;
  color: white;
}

.loadingContent{
  margin: 0 auto;
  position: relative;
  top: 50%;
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}

/* Indentation */
  
  .indent{
    padding-left: 45px; 
  }

.btnRow{
  padding-bottom: 15px;
  padding-left: 15px;
  padding-right: 15px;
}

/* Modals */
  
  .modal-content {
    background-color: #fff;
      border-radius: 0;
  }

.modal-header {
  background-color: #f2f2f2;
    font-style: italic;
  font-size: 22px;
  padding: 15px 30px 15px 30px;
}

.modal-body {
  background-color: #fff;
    padding: 15px 30px 15px 30px;
}

.modal-footer {
  background-color: #f2f2f2;
    vertical-align: middle;
}


/* Couleur des actionLink */
  
  /*
  a {
    color: #2C4740;
  }
*/
  
  #downloadFacture{
  color:white;
}

a:link {
  color: #2C4740;
}

a:hover, a:active {
  color: #bf7b00;
}

/* Apparence de tous les boutons */
  #tableCF{
  color: #fff;
  }

.btn-default {
  display: inline-block;
  padding: 8px 12px;
  cursor: pointer;
  text-align: center;
  text-decoration: none;
  outline: none;
  color: #fff;
    background-color: #2C4740;
    border: none;
  border-radius: 0;
  box-shadow: 0 4px 5px 0 rgba(0,0,0,0.14), 0 1px 10px 0 rgba(0,0,0,0.12), 0 2px 4px -1px rgba(0,0,0,0.3);
  transition: 0.1s;
  vertical-align: middle;
  -webkit-tap-highlight-color: transparent;
  overflow: hidden;
  min-width: 100px;
}

.btn-default:hover {
  background-color: #f2f2f2;
    color: #bf7b00;
}

.btn-default:active {
  background-color: #f2f2f2;
    color: #bf7b00;
    box-shadow: 0 1px 1px 1px RGBA(0,0,0,0.6);
  transform: translateY(1px);
  -webkit-tap-highlight-color: transparent;
  -moz-user-select: none; /* Firefox */
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10+ and Edge */
    user-select: none; /* Standard syntax */
    -webkit-touch-callout: none;
  -khtml-user-select: none;
}

.btn-default:focus {
  background-color: #f2f2f2;
    color: #bf7b00;
    border: none;
  -webkit-tap-highlight-color: transparent;
  -moz-user-select: none; /* Firefox */
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10+ and Edge */
    user-select: none; /* Standard syntax */
    -webkit-touch-callout: none;
  -khtml-user-select: none;
  outline-style: none; /* Internet Explorer  */
}


#validId{
margin: 5px 10px;
}

#creaQuest{
min-width: 180px;
}

#download_Client_Data{
width: 30%;
}

#delete, #modify, #infos, #send{
margin-top: 5px;
}

#tableau {
-moz-user-select: none; /* Firefox */
  -webkit-user-select: none; /* Safari */
  -ms-user-select: none; /* IE 10+ and Edge */
  user-select: none; /* Standard syntax */
  }

#create_new_quest, #modify_quest, #apercu_quest {
margin: 5px 10px;
}

#logout {
color: black;
}

.majorChoiceBtn{
  position: fixed;
  bottom: 10px;
  right: 10px;
  background: #2C4740;
    color: white;
  padding: 15px 30px;
}

.form-control {
  display: block;
  width: 100%;
  height: 34px;
  padding: 6px 12px;
  font-size: 14px;
  line-height: 1.42857143;
  color: #555;
    background-color: #fff;
    background-image: none;
  /* border: 1px solid #ccc; */
  border: none;
  border-bottom: 1px solid #dddddd;
  box-shadow: none;
  /* border-radius: 4px; */
    /* -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075); */
    /* box-shadow: inset 0 1px 1px rgba(0,0,0,.075); */
    -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
  -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
  transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}

#generateReport{
width: 100%;
color:white;
}

#btnGenerateReportdiv{
position: fixed;
bottom: 5px;
left: 1%;
width: 23%;
min-width: 23%;
text-align: center;
}

.alertMsg{
  text-decoration: italic;
  color: #FFFFFF;
    padding: 15px;
  background-color: rgba(140, 21, 21, 0.5);
  border-radius: 5px;
}

.validMsg{
  text-decoration: italic;
  color: green;
  padding: 15px;
  background-color: rgba(40, 121, 80, 0.5);
  border-radius: 5px;
}

.intradayDealBtn{
  background-color: #954391;
}

.structurelDealBtn{
  background-color: #2C4740;
}

.progress{
  display: none;
}

.progress-bar{
  background-color: #2C4740;
}

.bootstrap-switch .bootstrap-switch-handle-on.bootstrap-switch-info, .bootstrap-switch .bootstrap-switch-handle-off.bootstrap-switch-info {
  background-color: #2C4740 !important;
  color: white;
}

.selectize-input.full {
    background-color: #ffffff;
    border: 0px;
    border-bottom: ridge;
    border-radius: 0px;
}

.selectize-input.not-full {
    background-color: #ffffff;
    border: 0px;
    border-bottom: ridge;
    border-radius: 0px;
}

.selectize-dropdown {
      z-index: 9999 !important;
    } 

  .shiny-input-container {
    overflow: visible !important;
  }

.bootstrap-switch .bootstrap-switch-handle-on.bootstrap-switch-primary, .bootstrap-switch .bootstrap-switch-handle-off.bootstrap-switch-primary {
    background: #2C4740 !important;
    color: #fff;
}

.valid_import{
  background-color: #ddf3d7;
  padding: 15px;  
  border-radius: 2px;
}

.notValid_import{
  background-color: #FBE4D5;
  padding: 15px;  
  border-radius: 2px;
}

.bubble_title{
  background-color: #C29F55;
  color: white;
  padding: 15px 25px;
  font-weight: 600;
  border-radius: 5px;
}

.btn-iam_class_btn {
    color: #2C4840;
    background-color: transparent;
    border-color: transparent;
}

.btn-iam_class_btn:hover {
    color: red;
    background-color: transparent;
    border-color: red;
}

.accordion-button {
    background-color: #CCCCCC;
    font-size: large;
    font-weight: bold;
}

.accordion-header {
  background-color: #f2f2f2;
}

.visual-modal{
  max-width: 600px;
  margin: 0 auto;
}

.divContent{
  max-width: 1500px;
  margin: 0 auto;
}

.centered-table{
  margin: 0 auto;
}

/* 1. Permet à la carte de laisser déborder le menu */
.overflow-visible-card {
  overflow: visible !important;
}
/* 2. Assure que le menu déroulant passe au-dessus de tout le reste */
.selectize-dropdown {
  z-index: 9999 !important;
}

.menu-indente a {
  display: block;      /* Force le retour à la ligne */
  margin-left: 10px;   /* Crée l'indentation */
  margin-bottom: 5px;  /* Espace optionnel entre les liens */
}